Bug 1841171 - custom display name did not change after updating on console
Summary: custom display name did not change after updating on console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Bowen Song
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1823714
Blocks: 1824274 1846220
TreeView+ depends on / blocked
 
Reported: 2020-05-28 14:32 UTC by Bowen Song
Modified: 2020-06-23 00:57 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: updating catsrc without a new address gets skipped on updating the package manifests without reconciling other parts of the catsrc. Consequence: display name is not updated on package manifest Fix: reconcile package manifest after any catsrc update. Result: package manifest updated after following catsrc update including packageManifest.status.catalogSourceDisplayName which is based on .spec.displayName.
Clone Of: 1823714
Environment:
Last Closed: 2020-06-23 00:57:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1556 None closed Bug 1841171: Update PkgManifest upon catsrc update 2020-06-25 13:53:24 UTC
Red Hat Product Errata RHBA-2020:2580 None None None 2020-06-23 00:57:45 UTC

Comment 7 Jian Zhang 2020-06-15 09:21:13 UTC
Cluster version is 4.4.0-0.nightly-2020-06-14-142924
OLM version:
mac:~ jianzhang$ oc  -n openshift-operator-lifecycle-manager  exec catalog-operator-79877479c6-bbxsd -- olm --version
OLM version: 0.14.2
git commit: 33671ebb9929e837d1e9f8104476bf278f203080

In 4.4.z, there is only "Custom" display on the UI, not the CatalogSource Name. See the screenshot:
https://user-images.githubusercontent.com/15416633/84640173-ecd41d00-af2b-11ea-8475-738c13ba4d88.png
So, the user would not encounter this issue. Anyway, I just check the "packagemanifest" in the backend.

Follows the above steps:
1, Create a new CatalogSource on the Web console:
$ cat bug-cs.yaml
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: custom-test
  namespace: openshift-marketplace
spec:
  displayName: custom-test22
  image: docker.io/aosqe/custom-keycloak:latest
  publisher: hasha
  sourceType: grpc

2, Update the displayName "custom-test" to "custom-test22"
$ oc edit catalogsource  custom-test

3, Check if the displayName updated:
$ oc get packagemanifest keycloak-operator   -o=jsonpath='{.status.catalogSourceDisplayName}'
custom-test22

LGTM, verify it.

Comment 10 errata-xmlrpc 2020-06-23 00:57:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.